### Signal

# Gdk Toplevel::compute-size

#### Declaration

    void
    compute_size (
      GdkToplevel self,
      GdkToplevelSize* size,
      gpointer user_data
    )

#### Description [src]

Emitted when the size for the surface needs to be computed, when it is present.

It will normally be emitted during or after gdk_toplevel_present(), depending on the configuration received by the windowing system. It may also be emitted at any other point in time, in response to the windowing system spontaneously changing the configuration.

It is the responsibility of the toplevel user to handle this signal and compute the desired size of the toplevel, given the information passed via the `GdkToplevelSize` object. Failing to do so will result in an arbitrary size being used as a result.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`size` | `GdkToplevelSize`
| A `GdkToplevelSize`.
| The argument will be set by the function.
| The data is owned by the caller of the function.